"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGitBranchEnv = void 0;
const core_1 = require("./core");
/* Read git branch information from git and save it into an environment variable
 * Useful when combined with envify (or loose-envify) when packaging browser apps
 */
function setGitBranchEnv() {
    const config = {
        varsnap: true,
        env: 'none',
        branch: '',
    };
    return core_1.Util.getBranch(config)
        .then((branch) => {
        process.env.GIT_BRANCH = branch;
        return branch;
    });
}
exports.setGitBranchEnv = setGitBranchEnv;
setGitBranchEnv();
